cURL
curl --request PUT \ --url https://api.projectcor.com/v1/user/leaves/{licenseId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "userId": 8555, "leaveTypeId": 12, "start": "2024-11-18T03:00:00Z", "end": "2024-11-19T05:00:00Z" } '
{ "id": 16332, "user_id": 8555, "company_id": 2336, "leave_type_id": 12, "start": "2024-11-18T03:00:00Z", "end": "2024-11-19T05:00:00Z", "created_at": "2024-11-07 22:11:30", "updated_at": "2024-11-07 22:20:48", "deleted_at": null, "all_day": false }
Updates an existing user leave. Dates must be in UTC format.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
User Leave ID to update
User ID
Leave type ID
Start date in UTC format
End date in UTC format
Leave updated successfully
Show child attributes
Was this page helpful?
Suggestions
Contact support